# class ActionView::FixtureResolver

Use FixtureResolver in your tests to simulate the presence of files on the file system. This is used internally by Rails’ own test suite, and is useful for testing extensions that have no way of knowing what the file system will look like at runtime.

### Attributes

hash[R]

### Public Class Methods

new(hash = {}, pattern=nil) click to toggle source
Calls superclass method

    # File lib/action_view/testing/resolvers.rb, line 11
    def initialize(hash = {}, pattern=nil)
      super(pattern)
      @hash = hash
    end

### Public Instance Methods

to_s() click to toggle source

    # File lib/action_view/testing/resolvers.rb, line 16
    def to_s
      @hash.keys.join(', ')
    end